clear variables;
DirName1=['../../Fig1/Fig1b'];
DirName0=pwd;
OutDir='../..';

eigvec=dlmread([OutDir,'/vector_PCA.txt']);

%%
ProjNam='aw_paraset1'; Wtotlist1=[0.8:0.8:5.6];

numd=1; Nlis=[385:387,436]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_0.8_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}',Ar{4}']');
numd=2; Nlis=[373:375,441]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_1.6_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}',Ar{4}']');
numd=3; Nlis=[370:372,421]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_2.4_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}',Ar{4}']');
numd=4; Nlis=[358:360,426]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_3.2_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}',Ar{4}']');
numd=5; Nlis=[407:408,431]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_4.0_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=6; Nlis=[3600:3601]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_4.8_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=7; Nlis=[3602:3603]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_5.6_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');

Jvec1=eigvec'*Fvec1';

%%
ProjNam='aw_paraset2'; Wtotlist1=[0.8:0.8:5.6];

numd=1; Nlis=[2853:2854]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_0.8_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=2; Nlis=[2855:2856]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_1.6_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=3; Nlis=[2825:2826]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_2.4_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=4; Nlis=[2827:2828]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_3.2_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=5; Nlis=[2829:2830]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_4.0_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=6; Nlis=[2831:2832]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_4.8_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=7; Nlis=[2833:2834]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/aw_5.6_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');

Jvec2=eigvec'*Fvec2';

%%
ProjNam1='Dicty_WTStarved'; Nmax1=19;
for ii=1:Nmax1
    JDictyStarved(ii,:)=mean(dlmread([DirName1,'/',ProjNam1,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

ProjNam2='HL60_WT'; Nmax2=23;
for ii=1:Nmax2
    JHL60_WT(ii,:)=mean(dlmread([DirName1,'/',ProjNam2,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

ProjNam3='Keratocyte'; Nmax3=12;
for ii=1:Nmax3
    JKeratocyte(ii,:)=mean(dlmread([DirName1,'/',ProjNam3,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

JDic7=eigvec'*JDictyStarved';
JHL60=eigvec'*JHL60_WT';
JKera=eigvec'*JKeratocyte';

%%
figure,
plot(JDic7(1,:)',JDic7(2,:)','+','LineWidth',8,'Color',[25 169 72]/255);
hold on;
plot(JHL60(1,:)',JHL60(2,:)','+','LineWidth',8,'Color',[152 0 46]/255);
plot(JKera(1,:)',JKera(2,:)','+','LineWidth',8,'Color',[236 240 39]/255);
plot(Jvec1(1,:)',Jvec1(2,:)','o-','LineWidth',3,'Color','k');
plot(Jvec2(1,:)',Jvec2(2,:)','o-','LineWidth',3,'Color','b');
hold off;
set(gca,'FontSize',17);
fig = gcf;
fig.Color = 'white';
fig.InvertHardcopy = 'off';
xlim([-15e4 8e4]); ylim([-5e4 12e4]); 
saveas(gcf,['./Fig2i'],'epsc');
F=getframe(gcf);
imwrite(uint8(F.cdata),['./Fig2i.png'],'png');
